Checks if the current item is valid

- « Imagick::unsharpMaskImage

- Imagick::vignetteImage »

- PHP Manual
- Imagick
- Checks if the current item is valid

# Imagick::valid

(PECL imagick 2, PECL imagick 3)

Imagick::valid — Checks if the current item is valid

### Description

public Imagick::valid(): bool

Checks if the current item is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success.